## nis 2.00

=== yp-clients-2.2/Makefile ===
include ./Makeconfig

include ./Makerules

LIBS=

ifndef OPTFLAGS
OPTFLAGS= -O2	
endif

ifndef DAEMON
DAEMON = -DDAEMON
endif

SUBDIR=	ypbind domainname ypwhich ypcat ypmatch yppoll ypset yppasswd

all: subdir

subdir:
	for d in $(SUBDIR); do \
	  ($(MAKE) -C $$d $(TARGET)) || exit 1; \
	done

clean: FRC
	$(RM) -f *.a *.o *~ core
	$(MAKE) TARGET=clean subdir

install: subdir
	$(MAKE) TARGET=install subdir
#	install -o root -g root -m 0644 yp.conf.example ${DEBDIR}/etc/yp.conf 
#	install -o root -g root -m 0755 -d ${DEBDIR}/usr/doc/net
#	install -o root -g root -m 0755 -d ${DEBDIR}/var/yp
#	install -o root -g root -m 0644 README ${DEBDIR}/usr/doc/net/yp-clients.txt
#	gzip -9f ${DEBDIR}/usr/doc/net/yp-clients.txt


FRC:

=== ypbind-bsd-1.15/Makefile ===
#	from: @(#)Makefile	5.8 (Berkeley) 7/28/90
#	$Id: Makefile,v 1.2 1995/04/09 21:58:59 wpaul Exp $

PROG=	ypbind
MAN8=	ypbind.8
CFLAGS+=-DDAEMON

.include <bsd.prog.mk>

=== yppasswd-0.9/Makefile ===
#
# Makefile for yppasswd/yppasswdd
# 
# Copyright 1994,1995 by Olaf Kirch, <okir@monad.swb.de>.
# Shadow support added by Charles Lopez.
# Various fixes by Peter Tobias.
# Support for non-Linux platforms by Dan Stromberg
#

CFLAGS  = $(OSFLGS) $(OSDEFS) $(DEFINES)

# OS-Dependent setup. You can define the following OS-dependent macros:
# NO_PATHS_H	if your system doesn't have <paths.h>
# NO_GETOPT_H	if your system doesn't have <getopt.h>. A working getopt()
#		is assumed, though.

# Linux
OSFLGS	= -Wall -O2 -fomit-frame-pointer
OSDEFS	= -D_GNU_SOURCE
CC	= gcc
XTRA	=

# Solaris 2.4/2.5
#OSFLGS	= -O2
#OSDEFS	=
#CC	= gcc
#XTRA	= -lsocket -lnsl

# Irix 5.2/5.3
#OSFLGS	= -O2
#OSDEFS	=
#CC	= gcc
#XTRA	= -lrpcsvc

# OSF/1 3.2c
#OSFLGS	= 
#OSDEFS	=
#CC	= cc
#XTRA	=

# Where to install everything. yppasswd goes to BINDIR, the daemon goes
# to SBINDIR, and the update script goes to LIBDIR. The traditional
# place for the client is /bin, but for FSSTND compliance, you may want
# to use /usr/bin.
BINDIR	= /bin
SBINDIR	= /usr/sbin
LIBDIR	= /usr/lib/yp
MANDIR	= /usr/man

# If you want to use NYS instead of the old-style NIS code in libc,
# uncomment these lines
#NYSDEF	= -DNYS
#NYSLIB	= -lnsl

# For shadow password support, uncomment these lines
#SPWDEF	= -DSHADOWPWD
#SPWLIB	= -lshadow

# To enable proactive password checking with obvious(), uncomment these:
#OBVDEF	= -DUSE_OBVIOUS
#OBVOBJ	= obvious.o

# Combine defines and libs....
DEFINES = $(NYSDEF) $(SPWDEF) $(OBVDEF) \
	  -DYPLIBDIR=\"$(LIBDIR)\"
LIBS	= $(NYSLIB) $(SPWLIB) $(XTRA)

SRVROBJ = yppasswdd.o yppasswd_xdr.o update.o
CLNTOBJ = yppasswd.o  yppasswd_xdr.o $(OBVOBJ)
OBJ	= $(SRVROBJ) $(CLNTOBJ)
CLIENTS	= yppasswd
SERVER	= yppasswdd 
PROGS	= $(SERVER) $(CLIENTS) 
MAN1	= yppasswd.1 ypchsh.1 ypchfn.1
MAN8	= yppasswdd.8

all:	version.h $(PROGS)

yppasswd: $(CLNTOBJ)
	$(CC) $(LDFLAGS) -o $@ $(CLNTOBJ) $(LIBS)

yppasswdd: $(SRVROBJ)
	$(CC) $(LDFLAGS) -o $@ $(SRVROBJ) $(LIBS)

$(OBJ):: yppasswd.h

version.h: .version
	echo "#define VERSION \"`cat .version`\"" > $@

clean distclean::
	$(RM) core $(OBJ)

distclean::
	$(RM) -f $(PROGS)

install:: $(PROGS)
	@echo "Installing... "
	install -o bin -g bin -m 755 -s $(CLIENTS) $(BINDIR)
	ln -sf yppasswd $(BINDIR)/ypchfn
	ln -sf yppasswd $(BINDIR)/ypchsh
	install -o bin -g bin -m 700 -s $(SERVER) $(SBINDIR)/rpc.yppasswdd
	install -o bin -g bin -m 755 -d $(LIBDIR)
	install -o bin -g bin -m 700 pwupdate $(LIBDIR)

install installman::
	@echo "Installing manpages... "
	install -o bin -g bin -m 644 $(MAN8) $(MANDIR)/man8
	install -o bin -g bin -m 644 $(MAN1) $(MANDIR)/man1

=== yp-clients-2.2/domainname/Makefile ===
include ../Makeconfig

include ../Makerules

LIBS=

ifndef OPTFLAGS
OPTFLAGS= -O2
endif

CFLAGS = $(WFLAGS) $(OPTFLAGS) $(INC) $(XCFLAGS)
INC= -I. -I..

OBJS=domainname.o
PROG=domainname

all: $(PROG)

domainname: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	$(RM) -f core *.o *.a *~ tmp_make foo $(PROG)
	-for i in *.c;do \
	  if [ -f $$i ]; then \
	    $(RM) -f `basename $$i .c`.s; \
	  fi; \
	done

install: $(PROG)
	install -c -o root -g root -m 0755 -s $(PROG) $(BINDIR)
	(cd $(BINDIR) && ln -sf domainname nisdomainname) || exit 1;

=== yp-clients-2.2/ypbind/Makefile ===
#include ../Makeconfig
#
#include ../Makerules

CC = gcc -m486 -ansi -pedantic # -fbounds-checking

ifndef WFLAGS
WFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wstrict-prototypes -Wnested-externs
endif

ifndef XCFLAGS
XCFLAGS = -D_POSIX_SOURCE -D_BSD_SOURCE
endif

ifndef OPTFLAGS
OPTFLAGS = -O2 -fno-strength-reduce
endif

INC = -I.

CFLAGS = $(WFLAGS) $(OPTFLAGS) $(INC) $(XCFLAGS)

OBJS = daemon.o errorlog.o lockreg.o \
	locktest.o openmax.o readn.o \
	slave.o writen.o ypbind.o 

PROG = ypbind

all: $(PROG)

ypbind: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

install: $(PROG)
	install -c -o root -g root -m 0755 -s $(PROG) $(USRSBINDIR)
	install -c -o root -g root -m 0644 $(PROG).man ${DEBDIR}/usr/man/man8/$(PROG).8

clean:
	$(RM) -f core *.o *.a *~ $(PROG)

depend: 
	$(CC) -MM $(CFLAGS) *.c > .depend

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== yp-clients-2.2/ypcat/Makefile ===
include ../Makeconfig

include ../Makerules

LIBS=

ifndef OPTFLAGS
OPTFLAGS= -O2
endif

CFLAGS = $(WFLAGS) $(OPTFLAGS) $(INC) $(XCFLAGS)
INC= -I. -I..

OBJS=ypcat.o
PROG=ypcat

all: $(PROG)

ypcat: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	$(RM) -f core *.o *.a *~ tmp_make foo $(PROG)
	-for i in *.c;do \
	  if [ -f $$i ]; then \
	    $(RM) -f `basename $$i .c`.s; \
	  fi; \
	done

install: $(PROG)
	install -c -o root -g root -m 0755 -s $(PROG) $(USRBINDIR)

=== yp-clients-2.2/ypmatch/Makefile ===
include ../Makeconfig

include ../Makerules

LIBS=

ifndef OPTFLAGS
OPTFLAGS= -O2
endif

CFLAGS = $(WFLAGS) $(OPTFLAGS) $(INC) $(XCFLAGS)
INC= -I. -I..

OBJS  =ypmatch.o
PROG=ypmatch

all: $(PROG)

ypmatch: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	$(RM) -f core *.o *.a *~ tmp_make foo $(PROG)
	-for i in *.c;do \
	  if [ -f $$i ]; then \
	    $(RM) -f `basename $$i .c`.s; \
	  fi; \
	done

install: $(PROG)
	install -c -o root -g root -m 0755 -s $(PROG) $(USRBINDIR)

=== yp-clients-2.2/yppasswd/Makefile ===
include ../Makeconfig

include ../Makerules

# LIBS=-lshadow

ifndef OPTFLAGS
OPTFLAGS= -O2
endif

CFLAGS = $(WFLAGS) $(OPTFLAGS) $(INC) $(XCFLAGS)
INC= -I. -I..

OBJS  =yppasswd.o xdr_yppasswd.o
PROG=yppasswd

all: $(PROG)

yppasswd: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	$(RM) -f core *.o *.a *~ tmp_make foo $(PROG)
	-for i in *.c;do \
	  if [ -f $$i ]; then \
	    $(RM) -f `basename $$i .c`.s; \
	  fi; \
	done

install: $(PROG)
	install -c -o root -g root -m 0755 -s $(PROG) $(USRBINDIR)

=== yp-clients-2.2/yppoll/Makefile ===
include ../Makeconfig

include ../Makerules

LIBS=

ifndef OPTFLAGS
OPTFLAGS= -O2
endif

CFLAGS = $(WFLAGS) $(OPTFLAGS) $(INC) $(XCFLAGS)
INC= -I. -I..

OBJS  =yppoll.o
PROG=yppoll

all: $(PROG)

yppoll: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	$(RM) -f core *.o *.a *~ tmp_make foo $(PROG)
	-for i in *.c;do \
	  if [ -f $$i ]; then \
	    $(RM) -f `basename $$i .c`.s; \
	  fi; \
	done

install: $(PROG)
	install -c -o root -g root -m 0755 -s $(PROG) $(USRSBINDIR)

=== yp-clients-2.2/ypset/Makefile ===
include ../Makeconfig

include ../Makerules

LIBS=

ifndef OPTFLAGS
OPTFLAGS= -O2
endif

CFLAGS = $(WFLAGS) $(OPTFLAGS) $(INC) $(XCFLAGS)
INC= -I. -I..

OBJS  =ypset.o
PROG=ypset

all: $(PROG)

ypset: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	$(RM) -f core *.o *.a *~ tmp_make foo $(PROG)
	-for i in *.c;do \
	  if [ -f $$i ]; then \
	    $(RM) -f `basename $$i .c`.s; \
	  fi; \
	done

install: $(PROG)
	install -c -o root -g root -m 0755 -s $(PROG) $(USRSBINDIR)

=== yp-clients-2.2/ypwhich/Makefile ===
include ../Makeconfig

include ../Makerules

LIBS=

ifndef OPTFLAGS
OPTFLAGS= -O2
endif

CFLAGS = $(WFLAGS) $(OPTFLAGS) $(INC) $(XCFLAGS)
INC= -I. -I..

OBJS  =ypwhich.o xdrfix.o
PROG=ypwhich

all: $(PROG)

ypwhich: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	$(RM) -f core *.o *.a *~ tmp_make foo $(PROG)
	-for i in *.c;do \
	  if [ -f $$i ]; then \
	    $(RM) -f `basename $$i .c`.s; \
	  fi; \
	done

install: $(PROG)
	install -c -o root -g root -m 0755 -s $(PROG) $(USRBINDIR)

## nis 2.20-1

=== yppasswd-0.9/Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 # to SBINDIR, and the update script goes to LIBDIR. The traditional
 # place for the client is /bin, but for FSSTND compliance, you may want
 # to use /usr/bin.
-BINDIR	= /bin
+BINDIR	= /usr/bin
 SBINDIR	= /usr/sbin
 LIBDIR	= /usr/lib/yp
 MANDIR	= /usr/man
@@ -95,15 +95,15 @@
 
 install:: $(PROGS)
 	@echo "Installing... "
-	install -o bin -g bin -m 755 -s $(CLIENTS) $(BINDIR)
-	ln -sf yppasswd $(BINDIR)/ypchfn
-	ln -sf yppasswd $(BINDIR)/ypchsh
-	install -o bin -g bin -m 700 -s $(SERVER) $(SBINDIR)/rpc.yppasswdd
-	install -o bin -g bin -m 755 -d $(LIBDIR)
-	install -o bin -g bin -m 700 pwupdate $(LIBDIR)
+	install -o root -g root -m 755 -s $(CLIENTS) $(DEBDIR)$(BINDIR)
+	ln -sf yppasswd $(DEBDIR)$(BINDIR)/ypchfn
+	ln -sf yppasswd $(DEBDIR)$(BINDIR)/ypchsh
+	install -o root -g root -m 755 -s $(SERVER) $(DEBDIR)$(SBINDIR)/rpc.yppasswdd
+	install -o root -g root -m 755 -d $(DEBDIR)$(LIBDIR)
+	install -o root -g root -m 755 pwupdate $(DEBDIR)$(LIBDIR)
 
 install installman::
 	@echo "Installing manpages... "
-	install -o bin -g bin -m 644 $(MAN8) $(MANDIR)/man8
-	install -o bin -g bin -m 644 $(MAN1) $(MANDIR)/man1
+	install -o root -g root -m 644 $(MAN8) $(DEBDIR)$(MANDIR)/man8
+	install -o root -g root -m 644 $(MAN1) $(DEBDIR)$(MANDIR)/man1

=== yp-clients-2.2/ypcat/Makefile ===
--- 
+++ 
@@ -1,14 +1,13 @@
 include ../Makeconfig
 
 include ../Makerules
-
-LIBS=
 
 ifndef OPTFLAGS
 OPTFLAGS= -O2
 endif
 
 CFLAGS = $(WFLAGS) $(OPTFLAGS) $(INC) $(XCFLAGS)
+LDFLAGS=-s
 INC= -I. -I..
 
 OBJS=ypcat.o

=== yp-clients-2.2/ypmatch/Makefile ===
--- 
+++ 
@@ -1,14 +1,13 @@
 include ../Makeconfig
 
 include ../Makerules
-
-LIBS=
 
 ifndef OPTFLAGS
 OPTFLAGS= -O2
 endif
 
 CFLAGS = $(WFLAGS) $(OPTFLAGS) $(INC) $(XCFLAGS)
+LDFLAGS=-s
 INC= -I. -I..
 
 OBJS  =ypmatch.o

=== yp-clients-2.2/yppoll/Makefile ===
--- 
+++ 
@@ -1,14 +1,13 @@
 include ../Makeconfig
 
 include ../Makerules
-
-LIBS=
 
 ifndef OPTFLAGS
 OPTFLAGS= -O2
 endif
 
 CFLAGS = $(WFLAGS) $(OPTFLAGS) $(INC) $(XCFLAGS)
+LDFLAGS=-s
 INC= -I. -I..
 
 OBJS  =yppoll.o

=== yp-clients-2.2/ypset/Makefile ===
--- 
+++ 
@@ -1,14 +1,13 @@
 include ../Makeconfig
 
 include ../Makerules
-
-LIBS=
 
 ifndef OPTFLAGS
 OPTFLAGS= -O2
 endif
 
 CFLAGS = $(WFLAGS) $(OPTFLAGS) $(INC) $(XCFLAGS)
+LDFLAGS=-s
 INC= -I. -I..
 
 OBJS  =ypset.o

=== yp-clients-2.2/ypwhich/Makefile ===
--- 
+++ 
@@ -1,17 +1,16 @@
 include ../Makeconfig
 
 include ../Makerules
-
-LIBS=
 
 ifndef OPTFLAGS
 OPTFLAGS= -O2
 endif
 
 CFLAGS = $(WFLAGS) $(OPTFLAGS) $(INC) $(XCFLAGS)
+LDFLAGS=-s
 INC= -I. -I..
 
-OBJS  =ypwhich.o xdrfix.o
+OBJS  =ypwhich.o #xdrfix.o
 PROG=ypwhich
 
 all: $(PROG)

=== debian/changelog ===
nis (2.20-1) frozen unstable; urgency=high

  * Upgrade ypserv to 1.1.7 (security fix)
  * Use awk instead of mawk (Bug#8705, #7855)
  * Depend on libc5 (>= 5.4.23)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 28 Apr 1997 17:09:19 +0200

nis (2.10-1.2) unstable; urgency=high

  * Applied another patch from H.J. Lu to fix ypset.

 -- David Engel <david@sw.ods.com>  Tue, 18 Mar 1997 13:29:01 -0600

nis (2.10-1.1) unstable; urgency=high

  * Applied H.J. Lu's patches to make ypclients and ypbind work 
    with libc 5.4.23.
  * Changed yppasswd to work with libc 5.4.23.

 -- David Engel <david@sw.ods.com>  Mon, 17 Mar 1997 09:03:30 -0600

nis (2.10-1) unstable; urgency=medium

  * Upgraded to ypserv-1.1.5
  * Made sure all executables are stripped
  * Fix bug in services database (wrong key)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 4 Feb 1997 17:38:43 +0100

nis (2.00-1) unstable; urgency=low

  * Upgraded to latest versions of all software
  * New source packaging
  * Added missing manpages (stubs)
  * Fixed yppasswd &c to work with shadow-like NIS server setup.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 02 Oct 1996 17:51:54 +0200

* nis-1.20-2 Tue Jul  2 11:28:30 MET DST 1996
  o Fixed domainname option processing.

* nis-1.20-1  Sat Jun  8 14:18:02 MET DST 1996

  o Installs ypserv_1perhour and associated scripts.
  o Updated nis.debian.howto
  o Updated rules and control files for latest "dchanges".
  o yppasswd Can now change empty password
  o yppasswdd now accepts root password as old passwd
    so root can change all passwords

=== debian/control ===
Source: nis
Section: net
Priority: extra
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Standards-Version: 2.1.1.0

Package: nis
Architecture: any
Depends: ${shlibs:Depends}, netbase
Conflicts: netstd (<=1.26)
Description: Clients and daemons for the Network Information Services (NIS).
 The nis package allows you to use the NIS services from a NIS server or
 to set up your own NIS server. NIS is mostly used to let serveral machines
 in a network share the same account information (eg the password file).
 NIS was formerly called Yellow Pages (YP).

=== debian/rules ===
#! /usr/bin/make -f
#
#	debian/rules file for nis
#

# Package name.
p = nis

DEBDIR=$(shell pwd)/debian/tmp

YPSERV=ypserv-1.1.7
YPCLIENTS=yp-clients-2.2
YPPASSWD=yppasswd-0.9
YPBIND=ypbind-bsd-1.15
## YPBIND=ypbind-3.0

define checkdir
        test -f yp-clients-2.2/README
endef

all: build

build:
# Builds the binary package.
	(cd $(YPCLIENTS) && make)
	(cd $(YPBIND) && make -f make.debian)
	## (cd $(YPBIND) && make )
	(cd $(YPPASSWD) && make)
	-(cd $(YPSERV) && [ ! -f config.status ] && \
	AWK=/usr/bin/awk ./configure --sysconfdir=/etc --libexecdir=/usr/lib )
	(cd $(YPSERV) && make)
	touch build

# Undoes the effect of `make -f debian/rules build'.
clean:
	(cd $(YPCLIENTS) && make clean)
	(cd $(YPBIND) && make -f make.debian clean)
	## (cd $(YPBIND) && make clean)
	-(cd $(YPSERV) && [ -f Makefile ] && make distclean)
	(cd $(YPPASSWD) && make distclean)

	-rm -rf $(DEBDIR)
	rm -f build
	find . -name '*.bak' -o -name '*~' | xargs -r rm --
	rm -f $(YPSERV)/config.cache

# Architecture independant files.
binary-indep:	build
	$(checkdir)

# Make a binary package.
binary-arch:	build checkroot
	-rm -rf $(DEBDIR)
	install -d -g root -m 755 $(DEBDIR)
	install -d -g root -m 755 $(DEBDIR)/DEBIAN
	install -d -g root -m 755 $(DEBDIR)/bin
	install -d -g root -m 755 $(DEBDIR)/etc/init.d
	install -d -g root -m 755 $(DEBDIR)/usr/{bin,sbin,man}
	install -d -g root -m 755 $(DEBDIR)/usr/lib/yp
	install -d -g root -m 755 $(DEBDIR)/var/yp
	install -d -g root -m 755 -o root $(DEBDIR)/usr/doc/nis
	install -d -g root -m 755 -o root $(DEBDIR)/usr/man/man{1,5,8}
	chown -R root.root $(DEBDIR)/var/yp
	(cd $(YPSERV) && make install ROOT=$(DEBDIR))
	chown -R root.root $(DEBDIR)
	(cd $(YPPASSWD) && make install DEBDIR=$(DEBDIR))
	(cd $(YPBIND) && make -f make.debian install DEBDIR=$(DEBDIR))
	## (cd $(YPBIND) && make install DEBDIR=$(DEBDIR))
	(cd $(YPCLIENTS) && make install DEBDIR=$(DEBDIR))
	install -g root -m 755 debian/ypxfr_1perhour $(DEBDIR)/usr/lib/yp
	install -g root -m 755 debian/ypxfr_1perday $(DEBDIR)/usr/lib/yp
	install -g root -m 755 debian/ypxfr_2perday $(DEBDIR)/usr/lib/yp
	install -g root -m 755 debian/rc.nis $(DEBDIR)/etc/init.d/nis
	install -g root -m 644 debian/netgroup.sample $(DEBDIR)/etc/netgroup
	install -g root -m 644 debian/ypserv.securenets $(DEBDIR)/etc
	install -g root -m 644 debian/ypserv.conf.debian $(DEBDIR)/etc/ypserv.conf
	# Documentation.
	install -g root -m 644 debian/*.1 $(DEBDIR)/usr/man/man1
	install -g root -m 644 debian/*.8 $(DEBDIR)/usr/man/man8
	gzip -9f $(DEBDIR)/usr/man/man*/*
	install -g root -m 644 debian/COPYRIGHT \
	  $(DEBDIR)/usr/doc/$(p)/copyright
	install -g root -m 644 debian/nis.debian.howto $(DEBDIR)/usr/doc/nis
	install -g root -m 644 $(YPPASSWD)/README \
		$(DEBDIR)/usr/doc/nis/yppasswd.readme
	install -g root -m 644 debian/changelog \
		$(DEBDIR)/usr/doc/nis/changelog.Debian
	install -g root -m 644 $(YPSERV)/ChangeLog \
		$(DEBDIR)/usr/doc/nis/changelog
	gzip -9f $(DEBDIR)/usr/doc/nis/*
	#
	install -g root -m 644 debian/conffiles \
	  $(DEBDIR)/DEBIAN/conffiles
	install -g root -m 755 debian/postinst \
	  $(DEBDIR)/DEBIAN/postinst
	install -g root -m 755 debian/prerm \
	  $(DEBDIR)/DEBIAN/prerm
	install -g root -m 755 debian/postrm \
	  $(DEBDIR)/DEBIAN/postrm
	# Use some binaries to generate the dependencies.
	dpkg-shlibdeps $(YPSERV)/ypserv $(YPPASSWD)/yppasswdd
	dpkg-gencontrol
	dpkg --build $(DEBDIR) ..
	rm -rf $(DEBDIR)

binary:	binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

dist:
	dpkg-source -b

## nis 3.17.1

=== debian/changelog ===
nis (3.17.1-5) unstable; urgency=medium

  * QA upload.
  * Add debian/patches/fix_build_libnsl.patch to fix build with libnsl instead
    of glibc.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 16 Aug 2020 17:44:25 +0200

nis (3.17.1-4) unstable; urgency=medium

  * QA upload.
  * Mark source format as quilt.
  * Import diff in quilt format.
  * Fix FTBFS. (Closes: #954525)
  * Update Standards-Version to 4.5.0
  * Add dependency on debhelper-compat.
    - Update compat level to 12.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 08 Apr 2020 19:42:24 +0100

nis (3.17.1-3) unstable; urgency=medium

  * QA upload.
  * Drop -no-dbus from YPBINDARGS= in /etc/default/nis.
    We no longer build nis with NetworkManager/D-Bus support, so setting
    this option made ypbind fail to start. (Closes: #906436)
  * Remove debian/nis.debhelper.log on clean.
  * Drop nm-tool invocation from reportbug script. This binary no longer
    exists in recent versions of NetworkManager and since NetworkManager
    support is no longer enabled, this information is no longer really
    relevant anyway.
  * Use /bin/bash to run the reportbug script as it makes use of "yesno".
    (Closes: #701484)
  * Remove obsolete shlibs.local. (Closes: #701696)
  * Fix typo "ypppasswdd" in init script. (Closes: #701483)
  * Drop outdated and no longer accessible Vcs-Bzr URL.

 -- Michael Biebl <biebl@debian.org>  Tue, 21 Aug 2018 22:34:37 +0200

nis (3.17.1-2) unstable; urgency=medium

  * QA upload.
  * Orphan package, see #900358.
  * Disable NetworkManager support. (Closes: #862778)
  * Add explicit Build-Depends on pkg-config as required by ypbind-mt's
    configure.ac.
  * Bump priority to optional. Since Debian Policy version 4.0.1, the priority
    extra has been deprecated.

 -- Michael Biebl <biebl@debian.org>  Sat, 11 Aug 2018 14:38:22 +0200

nis (3.17.1-1) unstable; urgency=medium

  * ypbind 1.38, reenable Network Manager support to fix systemd
    breakage killing ypbind after it daemonizes (closes: #834298).

 -- Mark Brown <broonie@debian.org>  Tue, 16 Aug 2016 11:22:19 +0100

nis (3.17-35) unstable; urgency=low

  * Bump debhelper compat version, no changes other than creating a
    compat file since no relevant interfaces changed (closes: #800305).
  * Don't use libslp-dev since it got removed, unfortunately the removal
    has been coordinated by reassigning bugs and the BTS really doesn't
    notify that well (closes: #815362).
  * Remove network manager support, it never worked well and their APIs
    changed incompatibly.

 -- Mark Brown <broonie@debian.org>  Tue, 09 Aug 2016 19:04:10 +0100

nis (3.17-34) unstable; urgency=medium

  * Make sure both characters in the salt are present before calling
    crypt() rather than just the first in yppasswd fixing operation
    with shadow passwords after a change in the behaviour of crypt()
    with invalid salts (closes: #721737).

 -- Mark Brown <broonie@debian.org>  Sat, 13 Dec 2014 11:20:12 +0000

nis (3.17-33) unstable; urgency=low

  * Use dh_autoreconf to update config.* using lightly modified patch
    from Dann Frazier (closes: #739059).
  * Add dependency on remote_fs to init script.
  * Policy 3.9.5 (no changes).

 -- Mark Brown <broonie@debian.org>  Tue, 08 Apr 2014 15:55:58 +0100

nis (3.17-32) unstable; urgency=low

  * Fix postinst version comparison (closes: #610618).
  * Updated Danish Debconf translation from Joe Dalton (closes: #587368).
  * Updated Vietnamese translation from Clytie Siddall (closes: #601920).  
  * Updated Galician translation from Adrián Chaves Fernández (closes: #617380).
  * Updated Catalan translation from Innocent De Marchi (closes: #618481).
  * Updated Dutch translation from Jeroen Schot (closes: #624543).
  * Updated Brazilian Portugese translation from Eder L. Marques
    (closes: #617809).
  * Lintian has mindlessly changed the format of the output, meaning we
    can actually see the warnings but that's a bad thing.

 -- Mark Brown <broonie@debian.org>  Sun, 19 Jun 2011 11:04:03 +0100

nis (3.17-31) unstable; urgency=low

  * Run debconf-updatepo since the translation tools aren't able to do
    it for themselves (closes: #563506).
  * Ignore lintian warnings.  Papering over warnings FTW.

 -- Mark Brown <broonie@debian.org>  Sun, 03 Jan 2010 16:00:08 +0000

nis (3.17-30) unstable; urgency=low

  * Remove ypdomainname and nisdomainname binaries too (closes:
  * #546978).

 -- Mark Brown <broonie@debian.org>  Wed, 30 Sep 2009 21:23:15 +0100

nis (3.17-29) unstable; urgency=low

  * Updated Vietnamese translation of the Debconf templates, kindly
    provided by (closes: #548023).
  * The domainname progam will be moved to hostname as of version 2.98 -
    add a dependency for that (closes: #546978).

 -- Mark Brown <broonie@debian.org>  Wed, 23 Sep 2009 09:46:24 -0700

nis (3.17-28) unstable; urgency=low

  * Add Italian translation of the Debconf templates, kindly provided by
    Luca Monducci <luca.mo@tiscali.it> (closes: #544161).

 -- Mark Brown <broonie@debian.org>  Sat, 29 Aug 2009 10:42:21 +0100

nis (3.17-27) unstable; urgency=low

  * Suggest nscd.  This is likely to only be worthwhile for clients in 
    very large installations with noticable load on or latency to the
    NIS server (closes: #539106).

 -- Mark Brown <broonie@debian.org>  Sun, 02 Aug 2009 13:34:12 +0100

nis (3.17-26) unstable; urgency=low

  * Updated Japanese translation of the Debconf templates, kindly
    provided by Hideki Yamane <henrich@debian.or.jp> (closes: #538239).

 -- Mark Brown <broonie@debian.org>  Sat, 25 Jul 2009 11:35:13 +0100

nis (3.17-25) unstable; urgency=low

  * Remove bashism in match_printcap, using patch from Raphael Geissert
    (closes: #530150).

 -- Mark Brown <broonie@debian.org>  Mon, 06 Jul 2009 21:24:13 +0100

nis (3.17-24) unstable; urgency=low

  * Add Slovak translation of the Debconf templates, kindly provided by
    helix84 <helix84@centrum.sk> (closes: #532964).


=== debian/control ===
Source: nis
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.5.0
Build-Depends: libsystemd-dev, dh-autoreconf, libgdbm-dev, gcc (>= 2.95), gettext, po-debconf, file, pkg-config, debhelper-compat (=12)

Package: nis
Architecture: any
Pre-Depends: debconf (>= 0.5.00) | debconf-2.0
Depends: ${shlibs:Depends}, netbase, make, portmap, lsb-base (>= 3.0-6),
 hostname (>= 2.98)
Conflicts: netstd (<=1.26)
Suggests: nscd
Description: clients and daemons for the Network Information Service (NIS)
 This package provides tools for setting up and maintaining a NIS domain.
 NIS, originally known as Yellow Pages (YP), is mostly used to let
 several machines in a network share the same account information, such
 as the password file.

=== debian/rules ===
#! /usr/bin/make -f
#
#	debian/rules file for nis
#

# Package name.
p = nis

DEBDIR=$(shell pwd)/debian/tmp

YPSERV=ypserv-2.19
YPTOOLS=yp-tools-2.9
YPBIND=ypbind-mt-1.38

SHELL=/bin/bash
DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS = "-O2 -Wall -g"
else
        CFLAGS = "-O0 -Wall -g"
endif
#ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
#        INSTALL_PROGRAM += -s
#endif


define checkdir
	test -f $(YPBIND)/README
endef

all: build

build:
# Builds the binary package.
	dh_autoreconf
	-(cd $(YPTOOLS) && [ ! -f config.status ] && \
		CFLAGS=$(CFLAGS) ./configure \
		--prefix=/usr --mandir=/usr/share/man \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_HOST_GNU_TYPE) )
	(cd $(YPTOOLS) && make)
	-(cd $(YPBIND) && [ ! -f config.status ] && \
		CFLAGS=$(CFLAGS) ./configure \
		--prefix=/usr --mandir=/usr/share/man \
		--sysconfdir=/etc --libexecdir=/usr/lib/yp \
		--disable-dbus-nm \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_HOST_GNU_TYPE) )
	(cd $(YPBIND) && make )
	rm -f $(YPSERV)/sedscript
	-(cd $(YPSERV) && [ ! -f config.status ] && \
		AWK=/usr/bin/awk CFLAGS=$(CFLAGS) ./configure \
		--prefix=/usr --mandir=/usr/share/man \
		--sysconfdir=/etc \
		--libexecdir=/usr/lib/yp --enable-checkroot \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_HOST_GNU_TYPE) )
	(cd $(YPSERV) && \
		make CPPFLAGS='-DSECURENETS=\"/etc/ypserv.securenets\"' )
	po2debconf -o debian/templates.gen debian/templates 
	touch build

# Undoes the effect of `make -f debian/rules build'.
clean:
	-(cd $(YPTOOLS) && [ -f Makefile ] && make distclean)
	-(cd $(YPBIND)  && [ -f Makefile ] && make distclean)
	-(cd $(YPSERV)  && [ -f Makefile ] && make distclean)
	rm -rf $(YPBIND)/rpcsvc
	-rm -rf $(DEBDIR)
	rm -rf $(YPSERV)/autom4te.cache
	rm -f build debian/{files,substvars,templates.gen}
	find . -name '*.bak' -o -name '*~' | xargs -r rm --
	rm -f */config.cache
	dh_autoreconf_clean
	rm -f debian/nis.debhelper.log

# Architecture independant files.
binary-indep:	build
	$(checkdir)

# Make a binary package.
binary-arch:	build checkroot
	-rm -rf $(DEBDIR)
	install -d -g root -m 755 $(DEBDIR)
	install -d -g root -m 755 $(DEBDIR)/DEBIAN
	install -d -g root -m 755 $(DEBDIR)/bin
	install -d -g root -m 755 $(DEBDIR)/etc/init.d
	install -d -g root -m 755 $(DEBDIR)/usr/{bin,sbin}
	install -d -g root -m 755 $(DEBDIR)/usr/lib/yp
	install -d -g root -m 755 $(DEBDIR)/usr/share/bug/nis
	install -d -g root -m 755 $(DEBDIR)/usr/share/lintian/overrides
	install -d -g root -m 755 $(DEBDIR)/var/yp
	install -d -g root -m 755 -o root $(DEBDIR)/usr/share/doc/nis
	install -d -g root -m 755 -o root $(DEBDIR)/usr/share/doc/nis/examples
	install -d -g root -m 755 -o root $(DEBDIR)/usr/share/nis
	install -d -g root -m 755 -o root $(DEBDIR)/usr/share/man/man{1,5,8}
	#
	(cd $(YPSERV) && make install DESTDIR=$(DEBDIR))
	rm -rf $(DEBDIR)/usr/include
	rm -f $(DEBDIR)/var/yp/securenets
	rm -f $(DEBDIR)/etc/{locale,netmasks,timezone}
	chown -R root:root $(DEBDIR)
	#
	(umask 022; cd $(YPTOOLS) && make install DESTDIR=$(DEBDIR))
	(umask 022; cd $(YPBIND)  && make install DESTDIR=$(DEBDIR))
	(cd $(DEBDIR)/bin     && rm domainname ypdomainname nisdomainname)
	(cd $(DEBDIR)/usr/bin && ln -sf yppasswd ypchsh)
	(cd $(DEBDIR)/usr/bin && ln -sf yppasswd ypchfn)
	strip $(DEBDIR)/usr/lib/yp/ypxfr
	strip $(DEBDIR)/usr/sbin/ypbind
	#
	#install -g root -m 755 $(YPBIND)/ypbind $(DEBDIR)/usr/sbin
	#install -g root -m 644 $(YPBIND)/ypbind.8 $(DEBDIR)/usr/share/man/man8
	install -g root -m 644 debian/yp.conf $(DEBDIR)/etc/yp.conf
	#
	chown -R root:root $(DEBDIR)
	chmod -R u+rw,o=u-w $(DEBDIR)
	#
	install -g root -m 755 debian/ypxfr_1perhour $(DEBDIR)/usr/lib/yp
	install -g root -m 755 debian/ypxfr_1perday $(DEBDIR)/usr/lib/yp
	install -g root -m 755 debian/ypxfr_2perday $(DEBDIR)/usr/lib/yp
	install -g root -m 755 debian/convert-ypserv-conf $(DEBDIR)/usr/lib/yp
	install -g root -m 755 debian/rc.nis $(DEBDIR)/etc/init.d/nis
	install -g root -m 644 debian/netgroup.sample $(DEBDIR)/etc/netgroup
	install -g root -m 644 debian/ypserv.securenets $(DEBDIR)/etc
	install -g root -m 644 debian/ypserv.conf.debian $(DEBDIR)/etc/ypserv.conf
	install -g root -m 644 debian/lintian-overrides $(DEBDIR)/usr/share/lintian/overrides/nis


	install -g root -m 755 debian/reportbug-script $(DEBDIR)/usr/share/bug/nis/script

	# Documentation.
	gzip -9f $(DEBDIR)/usr/share/man/man*/*
	install -g root -m 644 debian/nis.debian.howto $(DEBDIR)/usr/share/doc/nis
	install -g root -m 644 debian/changelog \
		$(DEBDIR)/usr/share/doc/nis/changelog.Debian
	install -g root -m 644 $(YPSERV)/ChangeLog \
		$(DEBDIR)/usr/share/doc/nis/changelog
	gzip -9f $(DEBDIR)/usr/share/doc/nis/* || true
	install -g root -m 644 debian/COPYRIGHT \
	  $(DEBDIR)/usr/share/doc/$(p)/copyright
	install -g root -m 644 debian/nis.default \
	  $(DEBDIR)/usr/share/$(p)
	(cd $(DEBDIR)/usr/share/doc/$(p)/examples && ln -s ../../../$(p)/nis.default ) 
	install -g root -m 644 $(YPSERV)/etc/ypserv.conf \
	  $(DEBDIR)/usr/share/doc/$(p)/examples
	#
	install -g root -m 644 debian/conffiles $(DEBDIR)/DEBIAN/conffiles
	install -g root -m 755 debian/preinst $(DEBDIR)/DEBIAN/preinst
	install -g root -m 755 debian/prerm $(DEBDIR)/DEBIAN/prerm
	install -g root -m 755 debian/postinst $(DEBDIR)/DEBIAN/postinst
	install -g root -m 755 debian/postrm $(DEBDIR)/DEBIAN/postrm
	install -g root -m 755 debian/config $(DEBDIR)/DEBIAN/config
	install -g root -m 644 debian/templates.gen $(DEBDIR)/DEBIAN/templates
	# Use some binaries to generate the dependencies.
	dpkg-shlibdeps `find $(DEBDIR) -type f -exec file '{}' ';' | grep ELF | awk -F: '{print $$1}'`
	dpkg-gencontrol -isp
	dpkg --build $(DEBDIR) ..
	rm -rf $(DEBDIR)

binary:	binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

dist:
	dpkg-source -b

## nis 4.1

=== debian/changelog ===
nis (4.1) unstable; urgency=medium

  * Missing docs file added.
    (closes: #980999)
  * Fixed typo in d/NEWS.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 25 Jan 2021 12:30:12 +0100

nis (4.0) unstable; urgency=medium

   == The 'Welcome in 21th century' edition ==

  * Package split in three different new source packages. This package is now
    an arch-indep native meta-package that depends on ypserv, ypbind-mt and
    yp-tools. This has also the advantage of being the same structure used by
    other distributions. Added a pair of Provides - nis-client and nis-server
    - to be more explicit for new users.
  * All upstream software is now up-to-date.
    (closes: #800002)
  * All packages use new d-helper and policy ATM, that solve a few different
    historical issues.
    (closes: #631628, #437639, #545723)
  * The purpose of this package is helping the transition to the new
    organization of the NIS stuff. Existing configurations should be upgraded
    smoothly via postinst, or almost.
  * All debconf stuff now removed. Now administrator has to set
    /etc/defaultdomain and accurately follow the nis.debian.howto document
    provided in order to setup servers and clients for all possible cases.
    (closes: #558456, #231808)
  * All packages now use systemd units and timer, when available.
    The traditional /etc/default/nis configuration file is still
    optionally used if the admin needed to change options. This also
    solves improper start/stop in chroot.
    (closes: #589821, #256979, #890994)
  * The traditional init scripts are still provided and can be used with sysvrc
    init for flavors/administrators that prefer so.
  * The original init script is now split in yserv and ypbind-mt and removed here
    to avoid to cope with annoying warnings about missing systemd services for nis.
    The new scripts are a lot more simple and mimic the behavior of systemd
    services, i.e. start/stop daemon and nothing more. They are still controlled
    by NIS(MASTER|CLIENT) vars in /etc/default/nis.
  * All historical patches, scripts and stuff here and there have been now
    removed.
  * Now nscd | unscd is a recommendation of ypbind-mt. That implies that
    restarting those services is totally an admin's duty when maps change.
    (closes: #878625)
  * Thanks to use of systemd units, now postinst/prerm scripts in general do not
    start/stop/restart anything, but for the one time upgrade from 3.17 -> 4.0.
    All that is left to systemd. Even, in that case the scripts don't fail.
    That implies that in general ypbind shouldn't simply block an upgrade
    or remove, because they are totally controlled by admin who should
    undestand in what cases stopping ypserv could hang ypbind and PAM for
    minutes. Maintain a resilient configuration (i.e. setup multiple servers)
    in NIS is mandatory!
    Also, the admin can restart services at her/his will, and specifically
    ypbind should be stopped before a ypserv restart and then started again
    after, when servers are not redundant. That should hopefully fix the RPC
    timeouts that happen in some corner cases.
    (closes: #118023, #703667, #886331, #213733, #798339)
  * Current ypserv binds on all available interfaces. Also, ypbind honors
    loopback address in /etc/yp.conf and has eventually also a -local-only to
    bind only to localhost. No more denied messages on multi-homed hosts.
    (closes: #126177, #329382)
  * preinst/postinst should take care of a smooth upgrade from 3.17 and stop
    NIS services, then reactivate them via systemd, iff sysvrc is not in use.
  * Introduced Pre-Depends to depend on init-systems-helper >= 1.58. That's
    to use deb-systemd-invoke and do The Right Thing.
  * Systems that need to enable NIS auth via ypbind should also install
    libnss-nis, which is now separated from glibc and only recommended.
    So introduced a Recommends also in ypbind-mt.
    (closes: #979371)
  * The broadcast mode is not more the defaut for ypbind at start and should
    be deprecated, because it creates more problems than it solves.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 24 Jan 2021 12:16:28 +0100

nis (3.17.1-9) unstable; urgency=medium

  * New maintainer. (closes: #900358)
  * Added Vcs-* fields for new repo of the old stuff and next-generation one.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 27 Dec 2020 11:05:00 +0100

nis (3.17.1-8) unstable; urgency=medium

  * QA upload.
  * debian/rules: Add -ffile-prefix-map to CFLAGS. (Closes: #977793)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sun, 20 Dec 2020 15:59:07 -0800

nis (3.17.1-6) unstable; urgency=medium

  * QA upload.
  * debian/rules: Remove extra timestamps from the gzipped documentation
    and fix file mtimes before building the binary packages.
    (Closes: #787126). Thanks to Dhole <dhole@openmailbox.org>.
  * debian/rules: Pass BASH=/bin/bash to the ypserv configure
    script. (Closes: #977747)
  * debian/changelog: Clean up trailing whitespace.
  * debian/rules: Delete trailing whitespace.
  * Remove obsolete lintian overrides for non-etc-file-marked-as-conffile.
  * debian/rules: Replace calls to dpkg-architecture by using dpkg

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sat, 19 Dec 2020 21:12:31 -0800

## nis 4.2

=== debian/changelog ===
nis (4.2) unstable; urgency=medium

  * Missed removing of /etc/init.d/nis at upgrade time added.
  * Fixed typos in NIS howto.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 31 Jan 2021 10:22:32 +0100

## nis 4.4

=== debian/changelog ===
nis (4.4) unstable; urgency=medium

  * Added a brief note about the recommended libnss-nis package in NIS howto doc.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 12 May 2021 09:00:39 +0200

nis (4.3) unstable; urgency=medium

  * Fixed a sort-of bashism in postinst.
    (closes: #988227)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 08 May 2021 17:19:24 +0200

=== debian/control ===
Source: nis
Section: net
Priority: optional
Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (=13)
Vcs-Browser: https://salsa.debian.org/debian-nis-team/nis
Vcs-Git: https://salsa.debian.org/debian-nis-team/nis.git

Package: nis
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ypserv, ypbind-mt, yp-tools (>= 4.2.3-3~), lsb-base, ${misc:Depends}
Description: Network Information Service (NIS)
 This meta-package provides tools for setting up and maintaining a NIS domain.
 NIS, originally known as Yellow Pages (YP), is mostly used to let
 several machines in a network share the same account information, such
 as the password file.
 .
 This package depends on daemons, client and tools components which could
 be also used independently to provide services for multiple hosts.
  - ypserv
  - ypbind-mt
  - yp-tools
 .
 Please, read and follow /usr/share/doc/nis/nis.debian.howto to setup
 servers and clients in the proper way.

## nis 4.5

=== debian/changelog ===
nis (4.5) unstable; urgency=medium

  * Removed preinst and postinst, now obsoleted by past change to the 4.x series
    in Debian 10 -> 11 upgrade.
  - Annotated possible problems due to use of GDBM in the NIS howto document.
    (closes: #984560)
  * Removed totally obsolete variables in /etc/default/nis.
  * Policy updated to 4.6.1. No changes needed.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 15 Jan 2023 10:23:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (=13)
 Vcs-Browser: https://salsa.debian.org/debian-nis-team/nis
 Vcs-Git: https://salsa.debian.org/debian-nis-team/nis.git

## nis 4.5build1

=== debian/changelog ===
nis (4.5build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 17 Dec 2025 19:42:34 +0000
